namespace Fitting{
	
	#define REF_POSITION_NUM 5		//参考点数量
	#define FIT_POSITION_NUM 5		//需要生成的数据个数，根据下一次的ct产生

	double sum(double * dNumarry,int n);
	double Sum(std::vector<double> vt_num,int n);
	double MutilSum(double* dX,double *dY,int n); 
	double MutilSum(vector<double> vx,vector<double> vy,int n);
	double RelatePow(double *dx,int n,int ex);  
	double RelatePow(vector<double> vx, int n, int ex);  
	double RelateMutiXY(double *dx,double*dy,int n,int ex); 
	double RelateMutiXY(vector<double> vx, vector<double> vy, int n, int ex);  
	void EMatrix(double *dx,double*dy,int n,int ex,double coefficient[]);  
	void EMatrix(vector<double> vx, vector<double> vy, int n, int ex, double coefficient[]); 
	void CalEquation(int exp,double coefficient[] );  
	double F(double c[],int l,int m);   
	double F(vector<double> vc,int l,int m);  
	double polyval(double* y,double x);
	double polyval(vector<double> vt,double v);
	double VAR(double *);
	double VAR(vector<double> vt);
}